Module java.base
Package java.security.interfaces

# Interface ECPrivateKey

All Superinterfaces:
  `Destroyable`, `ECKey`, `Key`, `PrivateKey`, `Serializable`

    public interface ECPrivateKey
    extends PrivateKey, ECKey

The interface to an elliptic curve (EC) private key.

Since:
  1.5
See Also:
  `PrivateKey`, `ECKey`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static long` | `serialVersionUID` | Deprecated. A `serialVersionUID` field in an interface is ineffectual.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`BigInteger` | `getS()` | Returns the private value S.

### Methods declared in interface javax.security.auth.Destroyable

`destroy, isDestroyed`

### Methods declared in interface java.security.interfaces.ECKey

`getParams`

### Methods declared in interface java.security.Key

`getAlgorithm, getEncoded, getFormat`

## Field Details

### serialVersionUID

@Deprecated static final long serialVersionUID
Deprecated.
A `serialVersionUID` field in an interface is ineffectual. Do not use; no replacement.
The class fingerprint that is set to indicate serialization compatibility.

See Also:
  Constant Field Values

## Method Details

### getS

BigInteger getS()
Returns the private value S.

Returns:
  the private value S.